×
Namespaces

Variants
Actions

QtSysInfo returns wrong Symbian version (Known Issue)

From Nokia Developer Wiki
Jump to: navigation, search
Article Metadata
Compatibility
Platform(s):
Symbian
Symbian^3
Article
Created: User:Nokia Developer KB (23 Aug 2011)
Last edited: lpvalente (15 Apr 2012)
Article Metadata
Tested with
Devices(s): Nokia N8-00, Nokia C6-00
Compatibility
Platform(s): Qt
Symbian
Symbian^3
Article
Created: (23 Aug 2011)
Last edited: lpvalente (15 Apr 2012)

Description

Qt 4.6.3 shipped with initial Symbian^3 devices (for example; Nokia N8-00, Nokia C6-00) returned wrong information with QSysInfo::symbianVersion().

Solution

Qt on the device should be updated to 4.7.x. This can be done automatically by utilizing Nokia Smart Installer for Symbian (Nokia Smart Installer for Symbian).

This page was last modified on 15 April 2012, at 15:36.
25 page views in the last 30 days.

Was this page helpful?

Your feedback about this content is important. Let us know what you think.

 

Thank you!

We appreciate your feedback.

×